Subject: Re: PCEF Committee Recruitment Subcommittee - Applications and Meeting Scheduling
From: "Gilmore, Rachel" <[email-masked]>
To: "Villatoro, Ranfis" <[email-masked]>, "Sipin, Maria" <[email-masked]>, "Lumley, Paul" <[email-masked]>
Cc: "Beyer, Megan" <[email-masked]>, "Baraso, Sam" <[email-masked]>, Maria Sipin <[email-masked]>, Ranfis Villatoro <[email-masked]>, Ranfis Villatoro <[email-masked]>, plumley <[email-masked]>
Date: Thu, 18 Apr 2024 11:11:08 -0700

Hi again all,

I realized I did not hit save after deleting the resume for applicant Tracy Scott that had some formatting issues. But, I did receive an out-of-office reply from Tracy so I don't have a replacement file yet. I think there is enough of the resume that is still readable to give you a good idea of Tracy's background, so I'll just leave it in.

Thanks!
Rachel

  ________________________________
From: Gilmore, Rachel &lt;[email-masked]&gt;
Sent: Thursday, April 18, 2024 8:51 AM
To: Villatoro, Ranfis &lt;[email-masked]&gt;; Sipin, Maria &lt;[email-masked]&gt;; Lumley, Paul &lt;[email-masked]&gt;
Cc: Beyer, Megan &lt;[email-masked]&gt;; Baraso, Sam &lt;[email-masked]&gt;; Maria Sipin &lt;[email-masked]&gt;; Ranfis Villatoro &lt;[email-masked]&gt;; Ranfis Villatoro &lt;[email-masked]&gt;; plumley &lt;[email-masked]&gt;
Subject: Re: PCEF Committee Recruitment Subcommittee - Applications and Meeting Scheduling

Hi all,

Thanks so much for completing the Doodle poll. We don't have a lot of overlap in availability for next week, but Tuesday 4/23 at 9am looks possible. Ranfis, you had indicated that as an &quot;if need be&quot; time, so I'm hoping it works. But if anyone's schedule has changed and it's no longer an option, please let me know and we'll adjust!

If Tuesday doesn't give everyone enough time to review and score applications, please let me know as well. We can bump things back if needed.

You'll see a calendar invite from me shortly for Tuesday at 9am. Again, let me know if things have changed and we need a different time.

Thanks!
Rachel

  ________________________________
From: Gilmore, Rachel &lt;[email-masked]&gt;
Sent: Thursday, April 11, 2024 10:24 AM
To: Villatoro, Ranfis &lt;[email-masked]&gt;; Sipin, Maria &lt;[email-masked]&gt;; Lumley, Paul &lt;[email-masked]&gt;
Cc: Beyer, Megan &lt;[email-masked]&gt;; Baraso, Sam &lt;[email-masked]&gt;; Maria Sipin &lt;[email-masked]&gt;; Ranfis Villatoro &lt;[email-masked]&gt;; Ranfis Villatoro &lt;[email-masked]&gt;; plumley &lt;[email-masked]&gt;
Subject: PCEF Committee Recruitment Subcommittee - Applications and Meeting Scheduling

Hello Paul, Ranfis, and Maria,
cc Sam and Megan Beyer (Commissioner Rubio's office)

Thanks for volunteering to be on the recruitment subcommittee! We received 18 applications. I've attached the candidate application materials along with a spreadsheet for scoring applications on a scale of 0-3. Below the table of candidates, the spreadsheet has instructions and the list of areas of expertise defined in the PCEF code. Also below I have a proposed timeline and Doodle poll<https://doodle.com/meeting/participate/id/b21RQXJa> for scheduling our first meeting.

   *   While we are specifically looking for commercial renewable energy and energy efficiency experience for this recruitment, other experience is worth noting as we might want to encourage people to apply to future recruitments.
   *   I have removed some pages that only had extra text from the Neogov system so that it is an easier document to scroll through, as well as a resume for Tracy Scott because the formatting got weird, perhaps in the upload process and it wasn't all readable. I've reached out to Tracy for a replacement file and will send that along as soon as I can.
   *   No need to worry about the 82nd Ave. column in the scoring spreadsheet – I will go through and note if any applicants live east of 82nd Ave. This is not a requirement we need to fill in this recruitment.
   *   Please send me your scoring sheets when you are finished reviewing and I will compile them. If possible, please complete scoring by end of day Friday, 4/19.
We may be able to reach a recommendation for the full Committee at our May 16 public meeting, if we roughly follow the timeline below. For the last recruitment, we included a step of asking applicants to provide written responses to additional questions prior to conducting interviews. Since this is a smaller applicant pool with just one available seat, I don't think we will need that additional step this time. However, we can discuss the process you'd like to follow at our first meeting.

   *   Friday 4/19: application reviews complete
   *   Week of 4/22-4/26: subcommittee meet to discuss applications, create shortlist
   *   Week of 4/29-5/3: interview shortlist candidates
   *   Week of 5/6 - 5/10: subcommittee meet to finalize, inform candidate that they will be recommended to full Committee
   *   5/16/24: public meeting, recommend candidate

Please complete this Doodle poll<https://doodle.com/meeting/participate/id/b21RQXJa> <https://doodle.com/meeting/participate/id/b21RQXJa> with your availability for a meeting the week of 4/22. I'll follow up to look at additional time for interviews and another subcommittee meeting.

Let me know if you have questions, and thanks so much!
Rachel

Rachel Gilmore (she/her)
Administrative Specialist, Portland Clean Energy Fund
[email-masked]<mailto:[email-masked]>
971-421-3612

City of Portland | Bureau of Planning &amp; Sustainability
1810 SW 5th Ave., Suite 710 Portland, OR 97201
portland.gov/bps<http://portland.gov/bps>

The City of Portland is committed to providing meaningful access. For accommodations, modifications, translation, interpretation or other services<https://www.portlandoregon.gov/bps/71701>, please contact 503-823-7700 or use City TTY 503-823-6868.